import pandas as pd
from datetime import datetime
from datetime import timedelta
import numpy as np
import hmac
import hashlib
df = pd.read_csv("Lab2/private_data.csv", sep = '|')
df.to_csv("Lab2/deidentified_data.csv")
#print(df.head())

# dataframe.drop() returns a new dataframe
df.drop(columns=["name", "phone"], axis=1, inplace=True)

# check if the cos were removed
#print(df.columns.tolist())

print("Generalize address to 5-digit ZIP Code and drop the address field")
#[-5] means the last 5-digit numbers
df["zip"] = df["address"].str[-5:]
df.drop(columns=["address"], inplace=True)
# check if the zip was created
# print(df.columns.tolist())
# print(df.head())
# print(df.shape)

study_date = datetime(2024,1,1)
np.random.seed(seed=123)
random_years = np.random.randint(low=1, high=4, size=(100, ))
df["birthdate"] = pd.to_datetime(df["birthdate"])
yrs = (study_date - df["birthdate"])/timedelta(365)
df["age"] = round(yrs + random_years)
df.drop(["birthdate"], axis = 1, inplace = True)
# check the df
#print(df.head())

# using hash code to protect SSN (hash value and secret key)
secret_key = '123abc'
message = 'my private data'

# create a file containing secret 23abc
with open("lab2/secret.txt") as f:
    secret_key = f.readline().strip()

df["id"] = df["ssn"].apply(
    lambda x: 
        hmac.new(
            bytes(secret_key, 'latin-1'), # convert the char to the bytes
            msg=bytes(message, 'latin-1'), # convert the message to the bytes
            digestmod=hashlib.sha256 # SHA256
        ).hexdigest()
)

df.drop(columns="ssn", axis = 1, inplace=True)

#check the df
print(df.head())

df.to_csv("lab2/deidentified_data.csv")