
DROP TABLE IF EXISTS Airline1_Schedule;
CREATE TABLE Airline1_Schedule (
    FlightId NUMBER,
    FlightNumber NUMBER,
    StartDate TEXT,
    EndDate TEXT,
    DepartureTime TEXT,
    DepartureAirport TEXT,
    ArrivalTime TEXT,
    ArrivalAirport TEXT,
    PRIMARY KEY (FlightId)
);

DROP TABLE IF EXISTS Airline1_Flight;
CREATE TABLE Airline1_Flight(
   FlightId NUMBER,
   DepartureDate TEXT,
   DepartureTime TEXT,
   DepartureGate TEXT,
   ArrivalDate TEXT,
   ArrivalTime TEXT,
   ArrivalGate TEXT,
   PlaneId NUMBER,
   PRIMARY KEY (FlightId, DepartureDate),
   FOREIGN KEY (FlightId) REFERENCES Airline1_Schedule(FlightId)
);


DROP TABLE IF EXISTS Airline2_Flight;
CREATE TABLE  Airline2_Flight(
   FlightNumber NUMBER,
   DepartureAirport TEXT,
   ScheduledDepartureDate TEXT,
   ScheduledDepartureTime TEXT,
   ActualDepartureTime TEXT,
   ArrivalAirport TEXT,
   ScheduledArrivalDate TEXT,
   ScheduledArrivalTime TEXT,
   ActualArrivalTime TEXT,
   PRIMARY KEY (FlightNumber, ScheduledDepartureDate)
);


DROP TABLE IF EXISTS Airport3_Arrivals;
CREATE TABLE Airport3_Arrivals(
    Airline TEXT,
    FlightNumber NUMBER,
    Scheduled TEXT,
    Actual TEXT,
    GateTime TEXT,
    LandingTime TEXT,
    Terminal TEXT,
    Gate NUMBER,
    Runway NUMBER,
    PRIMARY KEY (Airline, FlightNumber, Scheduled) 
);


DROP TABLE IF EXISTS Airport3_Departures;
CREATE TABLE Airport3_Departures(
   Airline TEXT,
   FlightNumber NUMBER,
   Scheduled TEXT,
   Actual TEXT,
   GateTime TEXT,
   TakeoffTime TEXT,
   Terminal TEXT,
   Gate NUMBER,
   Runway NUMBER,
   PRIMARY KEY (Airline, FlightNumber, Scheduled)
);

DROP TABLE IF EXISTS Airfare4_Flight;
CREATE TABLE Airfare4_Flight(
   FlightId NUMBER,
   FlightNumber NUMBER,
   DepartureAirport TEXT,
   DepartureDate TEXT,
   DepartureTime TEXT,
   ArrivalAirport TEXT,
   ArrivalTime TEXT,
   PRIMARY KEY (FlightId),
   FOREIGN KEY (FlightId) REFERENCES Airline1_Flight(FlightId)
);


DROP TABLE IF EXISTS Airfare4_Fares;
CREATE TABLE Airfare4_Fares(
   FlightId NUMBER,
   FareClass NUMBER,
   Fare NUMBER,
   PRIMARY KEY (FlightID, FareClass)
);

DROP TABLE IF EXISTS Airinfo5_AirportCodes;
CREATE TABLE Airinfo5_AirportCodes(
   AirportCode TEXT,
   AirportName TEXT,
   PRIMARY KEY (AirportCode)
);


DROP TABLE IF EXISTS Airinfo5_AirlineCodes;
CREATE TABLE Airinfo5_AirlineCodes(
   AirlineCode TEXT,
   AirlineNode TEXT,
   PRIMARY KEY (AirlineCode)
);


    
   
    
    
    
    
    
    